{% extends '_MainLayout.html' %}
{% load static %}
{% load render_partial %}
{% block content %}
    {% comment %}    <section id="advertisement">
        <div class="container">
            <img src="{% static 'images/shop/advertisement.jpg' %}" alt=""/>
        </div>
    </section>{% endcomment %}

    <section>
        <div class="container">
            <div class="row">
                <div class="col-sm-9 padding-right">
                    <div class="features_items"><!--features_items-->
                        <h2 class="title text-center">محصولات </h2>
                        {% for product in page_obj %}
                            {% include 'product/product-item-2-component.html' with product=product %}
                        {% endfor %}


                    </div><!--features_items-->
                    <ul class="pagination">
                        {% if page_obj.has_previous %}
                            <li><a href="?page=1">اولین</a></li>
                            <li><a href="?page={{ page_obj.previous_page_number }}">قبلی</a></li>
                        {% endif %}

                        {% for page in paginator.page_range %}
                            {% if page == page_obj.number %}
                                <li class="active"><a href="?page={{ page }}">{{ page }}</a></li>
{#                            {% else %}#}
{#                                <li><a href="?page={{ page }}">{{ page }}</a></li>#}
                            {% endif %}

                        {% endfor %}



                        {% if page_obj.has_next %}
                            <li><a href="?page={{ page_obj.next_page_number }}">بعدی</a></li>
                            <li><a href="?page={{ page_obj.paginator.num_pages }}">آخرین</a></li>
                        {% endif %}
                    </ul>
                </div>

                <div class="col-sm-3">
                    <div class="left-sidebar">
                        {% render_partial 'product_category:products_categories_partial_view' %}
                    </div>
                </div>

            </div>
        </div>
    </section>

{% endblock %}